---
abstract: 'guess media type for a file or a URL'
author:
  - 'Gisle Aas <gisle@activestate.com>'
build_requires:
  ExtUtils::MakeMaker: '0'
  File::Spec: '0'
  Test::Fatal: '0'
  Test::More: '0'
  overload: '0'
  warnings: '0'
configure_requires:
  ExtUtils::MakeMaker: '0'
dynamic_config: 0
generated_by: 'Dist::Zilla version 6.012, CPAN::Meta::Converter version 2.150010'
license: perl
meta-spec:
  url: http://module-build.sourceforge.net/META-spec-v1.4.html
  version: '1.4'
name: LWP-MediaTypes
no_index:
  directory:
    - t
    - xt
provides:
  LWP::MediaTypes:
    file: lib/LWP/MediaTypes.pm
    version: '6.04'
requires:
  Carp: '0'
  Exporter: '0'
  File::Basename: '0'
  Scalar::Util: '0'
  perl: '5.006002'
  strict: '0'
resources:
  IRC: irc://irc.perl.org/#lwp
  MailingList: mailto:libwww@perl.org
  bugtracker: https://github.com/libwww-perl/lwp-mediatypes/issues
  homepage: https://github.com/libwww-perl/lwp-mediatypes
  repository: https://github.com/libwww-perl/lwp-mediatypes.git
version: '6.04'
x_Dist_Zilla:
  perl:
    version: '5.026001'
  plugins:
    -
      class: Dist::Zilla::Plugin::Git::GatherDir
      config:
        Dist::Zilla::Plugin::GatherDir:
          exclude_filename:
            - LICENSE
            - META.json
            - README.md
            - cpanfile
          exclude_match: []
          follow_symlinks: 0
          include_dotfiles: 0
          prefix: ''
          prune_directory: []
          root: .
        Dist::Zilla::Plugin::Git::GatherDir:
          include_untracked: 0
      name: Git::GatherDir
      version: '2.045'
    -
      class: Dist::Zilla::Plugin::MetaConfig
      name: MetaConfig
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::MetaProvides::Package
      config:
        Dist::Zilla::Plugin::MetaProvides::Package:
          finder_objects:
            -
              class: Dist::Zilla::Plugin::FinderCode
              name: MetaProvides::Package/AUTOVIV/:InstallModulesPM
              version: '6.012'
          include_underscores: 0
        Dist::Zilla::Role::MetaProvider::Provider:
          $Dist::Zilla::Role::MetaProvider::Provider::VERSION: '2.002004'
          inherit_missing: 1
          inherit_version: 1
          meta_noindex: 1
        Dist::Zilla::Role::ModuleMetadata:
          Module::Metadata: '1.000033'
          version: '0.004'
      name: MetaProvides::Package
      version: '2.004003'
    -
      class: Dist::Zilla::Plugin::MetaNoIndex
      name: MetaNoIndex
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::MetaYAML
      name: MetaYAML
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::MetaJSON
      name: MetaJSON
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::MetaResources
      name: MetaResources
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::Git::Contributors
      config:
        Dist::Zilla::Plugin::Git::Contributors:
          git_version: 2.20.1
          include_authors: 0
          include_releaser: 1
          order_by: name
          paths: []
      name: Git::Contributors
      version: '0.035'
    -
      class: Dist::Zilla::Plugin::GithubMeta
      name: GithubMeta
      version: '0.58'
    -
      class: Dist::Zilla::Plugin::Authority
      name: Authority
      version: '1.009'
    -
      class: Dist::Zilla::Plugin::Manifest
      name: Manifest
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::License
      name: License
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::InstallGuide
      name: InstallGuide
      version: '1.200012'
    -
      class: Dist::Zilla::Plugin::ExecDir
      name: ExecDir
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: runtime
          type: requires
      name: Prereqs
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::AutoPrereqs
      name: AutoPrereqs
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::CPANFile
      name: CPANFile
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::MakeMaker
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: 1
      name: MakeMaker
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::MojibakeTests
      name: MojibakeTests
      version: '0.8'
    -
      class: Dist::Zilla::Plugin::Test::Version
      name: Test::Version
      version: '1.09'
    -
      class: Dist::Zilla::Plugin::Test::ReportPrereqs
      name: Test::ReportPrereqs
      version: '0.027'
    -
      class: Dist::Zilla::Plugin::Test::Compile
      config:
        Dist::Zilla::Plugin::Test::Compile:
          bail_out_on_fail: '1'
          fail_on_warning: author
          fake_home: 0
          filename: xt/author/00-compile.t
          module_finder:
            - ':InstallModules'
          needs_display: 0
          phase: develop
          script_finder:
            - ':PerlExecFiles'
          skips: []
          switch: []
      name: Test::Compile
      version: '2.058'
    -
      class: Dist::Zilla::Plugin::Substitute
      name: 00-compile.t
      version: '0.006'
    -
      class: Dist::Zilla::Plugin::Test::Portability
      config:
        Dist::Zilla::Plugin::Test::Portability:
          options: ''
      name: Test::Portability
      version: '2.001000'
    -
      class: Dist::Zilla::Plugin::Test::EOL
      config:
        Dist::Zilla::Plugin::Test::EOL:
          filename: xt/author/eol.t
          finder:
            - ':ExecFiles'
            - ':InstallModules'
            - ':TestFiles'
          trailing_whitespace: 1
      name: Test::EOL
      version: '0.19'
    -
      class: Dist::Zilla::Plugin::Test::ChangesHasContent
      name: Test::ChangesHasContent
      version: '0.011'
    -
      class: Dist::Zilla::Plugin::Substitute
      name: changes_has_content.t
      version: '0.006'
    -
      class: Dist::Zilla::Plugin::Test::MinimumVersion
      name: Test::MinimumVersion
      version: '2.000008'
    -
      class: Dist::Zilla::Plugin::PodSyntaxTests
      name: PodSyntaxTests
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::Test::Pod::Coverage::Configurable
      name: Test::Pod::Coverage::Configurable
      version: '0.07'
    -
      class: Dist::Zilla::Plugin::Test::PodSpelling
      config:
        Dist::Zilla::Plugin::Test::PodSpelling:
          directories:
            - bin
            - lib
          spell_cmd: 'aspell list'
          stopwords:
            - eg
          wordlist: Pod::Wordlist
      name: Test::PodSpelling
      version: '2.007005'
    -
      class: Dist::Zilla::Plugin::Git::Check
      config:
        Dist::Zilla::Plugin::Git::Check:
          untracked_files: die
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty: []
          allow_dirty_match: []
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.20.1
          repo_root: .
      name: Git::Check
      version: '2.045'
    -
      class: Dist::Zilla::Plugin::CheckStrictVersion
      name: CheckStrictVersion
      version: '0.001'
    -
      class: Dist::Zilla::Plugin::RunExtraTests
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: 1
      name: RunExtraTests
      version: '0.029'
    -
      class: Dist::Zilla::Plugin::CheckChangeLog
      name: CheckChangeLog
      version: '0.05'
    -
      class: Dist::Zilla::Plugin::CheckChangesHasContent
      name: CheckChangesHasContent
      version: '0.011'
    -
      class: Dist::Zilla::Plugin::TestRelease
      name: TestRelease
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::UploadToCPAN
      name: UploadToCPAN
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::ReadmeAnyFromPod
      config:
        Dist::Zilla::Role::FileWatcher:
          version: '0.006'
      name: Markdown_Readme
      version: '0.163250'
    -
      class: Dist::Zilla::Plugin::CopyFilesFromRelease
      config:
        Dist::Zilla::Plugin::CopyFilesFromRelease:
          filename:
            - LICENSE
            - META.json
            - cpanfile
          match: []
      name: CopyFilesFromRelease
      version: '0.006'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: develop
          type: recommends
      name: '@Git::VersionManager/pluginbundle version'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::RewriteVersion::Transitional
      config:
        Dist::Zilla::Plugin::RewriteVersion:
          add_tarball_name: 0
          finders:
            - ':ExecFiles'
            - ':InstallModules'
          global: 0
          skip_version_provider: 0
        Dist::Zilla::Plugin::RewriteVersion::Transitional: {}
      name: '@Git::VersionManager/RewriteVersion::Transitional'
      version: '0.009'
    -
      class: Dist::Zilla::Plugin::MetaProvides::Update
      name: '@Git::VersionManager/MetaProvides::Update'
      version: '0.007'
    -
      class: Dist::Zilla::Plugin::CopyFilesFromRelease
      config:
        Dist::Zilla::Plugin::CopyFilesFromRelease:
          filename:
            - Changes
          match: []
      name: '@Git::VersionManager/CopyFilesFromRelease'
      version: '0.006'
    -
      class: Dist::Zilla::Plugin::Git::Commit
      config:
        Dist::Zilla::Plugin::Git::Commit:
          add_files_in: []
          commit_msg: v%v%n%n%c
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - Changes
            - LICENSE
            - META.json
            - README.md
            - cpanfile
          allow_dirty_match: []
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.20.1
          repo_root: .
        Dist::Zilla::Role::Git::StringFormatter:
          time_zone: local
      name: '@Git::VersionManager/release snapshot'
      version: '2.045'
    -
      class: Dist::Zilla::Plugin::Git::Tag
      config:
        Dist::Zilla::Plugin::Git::Tag:
          branch: ~
          changelog: Changes
          signed: 0
          tag: v6.04
          tag_format: v%v
          tag_message: v%v
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.20.1
          repo_root: .
        Dist::Zilla::Role::Git::StringFormatter:
          time_zone: local
      name: '@Git::VersionManager/Git::Tag'
      version: '2.045'
    -
      class: Dist::Zilla::Plugin::BumpVersionAfterRelease::Transitional
      config:
        Dist::Zilla::Plugin::BumpVersionAfterRelease:
          finders:
            - ':ExecFiles'
            - ':InstallModules'
          global: 0
          munge_makefile_pl: 1
        Dist::Zilla::Plugin::BumpVersionAfterRelease::Transitional: {}
      name: '@Git::VersionManager/BumpVersionAfterRelease::Transitional'
      version: '0.009'
    -
      class: Dist::Zilla::Plugin::NextRelease
      name: '@Git::VersionManager/NextRelease'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::Git::Commit
      config:
        Dist::Zilla::Plugin::Git::Commit:
          add_files_in: []
          commit_msg: 'increment $VERSION after %v release'
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - Build.PL
            - Changes
            - Makefile.PL
          allow_dirty_match:
            - (?^:^lib/.*\.pm$)
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.20.1
          repo_root: .
        Dist::Zilla::Role::Git::StringFormatter:
          time_zone: local
      name: '@Git::VersionManager/post-release commit'
      version: '2.045'
    -
      class: Dist::Zilla::Plugin::Git::Push
      config:
        Dist::Zilla::Plugin::Git::Push:
          push_to:
            - origin
          remotes_must_exist: 1
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.20.1
          repo_root: .
      name: Git::Push
      version: '2.045'
    -
      class: Dist::Zilla::Plugin::ConfirmRelease
      name: ConfirmRelease
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':InstallModules'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':IncModules'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':TestFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExtraTestFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExecFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':PerlExecFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ShareFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':MainModule'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':AllFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':NoFiles'
      version: '6.012'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: MetaProvides::Package/AUTOVIV/:InstallModulesPM
      version: '6.012'
  zilla:
    class: Dist::Zilla::Dist::Builder
    config:
      is_trial: 0
    version: '6.012'
x_authority: cpan:LWWWP
x_contributors:
  - 'Adam Kennedy <adamk@cpan.org>'
  - 'Adam Sjogren <asjo@koldfront.dk>'
  - 'Alexey Tourbin <at@altlinux.ru>'
  - 'Alex Kapranoff <ka@nadoby.ru>'
  - 'amire80 <amir.aharoni@gmail.com>'
  - 'Andreas J. Koenig <andreas.koenig@anima.de>'
  - 'Bill Mann <wfmann@alum.mit.edu>'
  - 'Bron Gondwana <brong@fastmail.fm>'
  - 'Daniel Hedlund <Daniel.Hedlund@eprize.com>'
  - 'David E. Wheeler <david@justatheory.com>'
  - 'DAVIDRW <davidrw@cpan.org>'
  - 'Father Chrysostomos <sprout@cpan.org>'
  - 'FWILES <FWILES@cpan.org>'
  - 'Gavin Peters <gpeters@deepsky.com>'
  - 'Gisle Aas <aas@oslonett.no>'
  - 'Gisle Aas <gisle.aas@it.uib.no>'
  - 'Gisle Aas <gisle@aas.no>'
  - 'Gisle Aas <gisle@baux-2.lan>'
  - 'Graeme Thompson <Graeme.Thompson@mobilecohesion.com>'
  - 'Hans-H. Froehlich <hfroehlich@co-de-co.de>'
  - 'Ian Kilgore <iank@cpan.org>'
  - 'Jacob J <waif@chaos2.org>'
  - 'jefflee <shaohua@gmail.com>'
  - 'john9art <john9art@yahoo.com>'
  - 'Karen Etheridge <ether@cpan.org>'
  - 'Mark Stosberg <mark@stosberg.com>'
  - 'Mark Stosberg <MARKSTOS@cpan.org>'
  - 'Mark Stosberg <mark@summersault.com>'
  - 'Mike Schilli <mschilli@yahoo-inc.com>'
  - 'mschilli <github@perlmeister.com>'
  - 'murphy <murphy@genome.chop.edu>'
  - 'Olaf Alders <olaf@wundersolutions.com>'
  - 'Ondrej Hanak <ondrej.hanak@ubs.com>'
  - 'Peter Rabbitson <ribasushi@cpan.org>'
  - 'phrstbrn <phrstbrn@gmail.com>'
  - 'Robert Stone <talby@trap.mtview.ca.us>'
  - 'Rolf Grossmann <rg@progtech.net>'
  - 'ruff <ruff@ukrpost.net>'
  - 'sasao <sasao@yugen.org>'
  - 'Sean M. Burke <sburke@cpan.org>'
  - 'Slaven Rezic <slaven@rezic.de>'
  - 'Slaven Rezic <srezic@iconmobile.com>'
  - 'Spiros Denaxas <s.denaxas@gmail.com>'
  - 'Steve Hay <SteveHay@planit.com>'
  - 'Todd Lipcon <todd@amiestreet.com>'
  - 'Tom Hukins <tom@eborcom.com>'
  - 'Tony Finch <dot@dotat.at>'
  - 'Toru Yamaguchi <zigorou@cpan.org>'
  - 'uid39246 <uid39246>'
  - 'Ville Skytta <ville.skytta@iki.fi>'
  - 'Wesley Schwengle <wesley@schwengle.net>'
  - 'Yuri Karaban <tech@askold.net>'
  - 'Zefram <zefram@fysh.org>'
x_generated_by_perl: v5.26.1
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
